# pip install --upgrade kite-order

from kite_bracket_orders import BracketOrderPlacer, KiteDashboard, safe_print, login, pip_upgrade, pip_install

order_data = {
    "segment"               : "NSE"     ,           # "NSE" or "NFO"
    "product_type"          : "MIS"     ,           # "MIS" or "CNC" or "NRML"
    "side"                  : "BUY"    ,           # "BUY" or "SELL"
    "entry_order_type"      : "LIMIT"   ,           # "LIMIT" or "MARKET"
    "sl_type"               : "SL-M"    ,           # choose: "SL" or "SL-M"

    "symbol"                : "IDEA"    ,           # e.g. "IDEA", "RELIANCE", or "NIFTY24JUL20000CE"
    "quantity"              : 1         ,           # Must match lot size for options; 1+ for stocks
    "entry_price"           : 7.53      ,           # Only used if LIMIT order
    "target_price"          : 7.60      ,
    "stop_loss_trigger"     : 7.50      ,
    "stop_loss_limit"       : 7.49                  # only used if SL (not SL-M)
}

if __name__ == "__main__":
    # pip_install()  # Optional: Uncomment if you want to auto-install packages

    enable_logging = True  # True or False Enable/disable logging

    while True:
        safe_print("\n📊  Select an option:")
        safe_print("━" * 30)
        safe_print("1. 🔐  Kite Login")
        safe_print("2. 📈  Show Dashboard")
        safe_print("3. 🛒  Place Order")
        safe_print("4. 🛠️   pip Upgrade")
        safe_print("5. ❌  Exit")

        choice = input("\n👉 Select an option (1-5): ")

        if choice == "1":
            login()
        elif choice == "2":
            dash = KiteDashboard()
            dash.show_all()
        elif choice == "3":
            placer = BracketOrderPlacer(code_data=order_data, enable_logging=enable_logging)  # Pass order_data for choice "1" and logging toggle
            placer.load_kite_login_name_show()
            placer.place_bracket_order()  # No args needed - prompt happens inside
        elif choice == "4":
            pip_upgrade()
        elif choice == "5":
            safe_print("\n👋 Exiting... Have a profitable day!")
            break
        else:
            safe_print("❗ Invalid option. Please try again.")
